cancel
Showing results for 
Search instead for 
Did you mean: 

EDB Postgres Advanced Server (Database Server 10.10.18)

Technical Alert/Update Information

Technical Alert Name
EDB Technical Update for Postgres Advanced Server (Database Server 10.10.18)
Product Type
Postgres Plus Advanced Server
Release Date
8/26/2019
Technical Alert Details
Technical Update
EDB Postgres Advanced Server (Database Server 10.10.18)

WHAT’S NEW
This update is notifying you of a new software release EDB Postgres™ Advanced Server 10.10.18. EDB Postgres Advanced Server 10 is built on the open source PostgreSQL 10, which introduces an impressive number of improvements that enable databases to scale up and scale out in more efficient ways. PostgreSQL 10 introduces Native Partitioning, Logical Replication, SCRAM Authentication, additional Parallel Query capabilities as well as a host of other new features and capabilities.

Highlights of 10.10.18 release include: This update contains the following fixes:
  • RM44018 - Fix pg_dump to not dump pldbgapi extensions. [#886983]
  • RM43945 - dblink_oci: Fix to minimize the memory consumption for partition table select. [#861800]
  • RM43983 - Convert RAW to VARCHAR before assigning to VARCHAR variable. [#865427]
  • RM38839 - Redact commands that change passwords from the log file. [#523301]
  • RM44047 - Correct CALL statement's function expression handling in ecpg.
  • RM44030 - edbldr: Fix WARNING for not owning proper lock on relation during resource cleanup.
  • RM44025 - Add support for edb_filter_log.
  • RM43962 - dblink_oci: Don't allow password and obfuscated_password options together.
  • RM44020 - Fix error "unexpected varattno 2 in expression to be mapped" in subpartition when edb_enable_pruning is ON.
  • RM44011 - edbldr: Fix INSERT mode for partitioning table.
  • RM43873 - Fix to_char() for formats like spell mode, "IWW", "SPTH", "DDD", "D (day of the week)" etc. to make to_char() more redwood and PG compatible.
  • RM43811 - edb_filter_log: Redact a password containing a single quote correctly.
  • RM44002 - Fix "__remote_rowid_" attribute values correctly.
This update also contains Clonescehma 1.10.

*References in the square brackets are the customer case numbers.

PLEASE NOTE
For Windows:
  • If you have the system temp pointing to the non-default location then you must make sure it is secure and matches the permissions with  "C:\Users\%USERNAME%\AppData\Local\Temp"
For Linux:
  • If you have PostGIS installed and choose to upgrade to EPAS 10.10.18 then you must also upgrade PostGIS.
IS THIS FOR ME?
This announcement is for EDB customers who are using, or are interested in, EDB Postgres Advanced Server and have a database subscription purchased for:
  • EDB Postgres Enterprise Edition
HOW TO GET THE SOFTWARE
This update is available from the EDB Postgres downloads website (https://www.enterprisedb.com/advanced-downloads) or via Stack Builder Plus.
This update is also available as an RPM package that can be downloaded from the yum.enterprisedb.com repository. To setup your credentials and gain access to the yum repository, please submit a request: https://www.enterprisedb.com/repository-access-request
Please review the Installation Guide for more details: TROUBLESHOOTING 
If you experience any problems installing the new software please contact Technical Support at:
Email:  support@enterprisedb.com
Phone: US: +1-732-331-1320 or 1-800-235-5891
UK: +44-2033719820
Brazil: +55-2139581371
India: +91-20-66449612
Version history
Revision #:
1 of 1
Last update:
‎08-26-2019 04:32 PM
Updated by:
 
Contributors